package com.xinelu.manage.mapper.scheduleplandetail;

import com.xinelu.manage.domain.scheduleplandetail.SchedulePlanDetail;
import java.util.List;

/**
* @author haown
* @description 针对表【schedule_plan_detail(医生排班计划明细表)】的数据库操作Mapper
* @createDate 2023-09-21 17:22:22
* @Entity com.xinelu.manage.domain.scheduleplandetail.SchedulePlanDetail
*/
public interface SchedulePlanDetailMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SchedulePlanDetail record);

    int insertSelective(SchedulePlanDetail record);

    SchedulePlanDetail selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SchedulePlanDetail record);

    int updateByPrimaryKey(SchedulePlanDetail record);

	int batchInsert(List<SchedulePlanDetail> record);

	List<SchedulePlanDetail> getList(SchedulePlanDetail planDetail);

}
